#
# spec file for package python-monotonic
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-monotonic
Version:        1.6
Release:        2.1
Summary:        An implementation of time.monotonic() for Python 2 & < 33
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/atdt/monotonic
Source:         https://github.com/atdt/monotonic/archive/refs/tags/%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif
%python_subpackages

%description
This module provides a ``monotonic()`` function which returns the
value (in fractional seconds) of a clock which never goes backwards.

%prep
%setup -q -n monotonic-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%license LICENSE
%{python_sitelib}/*

%changelog
* Wed Sep  4 2024 Meera Belur <mbelur@suse.com>
-  Enable sle15_python_module_pythons
* Sun Jun  6 2021 Dirk Müller <dmueller@suse.com>
- update to 1.6:
  * Fix order for converting mach absolute time
* Wed Jan  2 2019 Thomas Bechtold <tbechtold@suse.com>
- update to 1.5:
  * Only import modules if needed
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Fri Feb 23 2018 tbechtold@suse.com
- update to 1.4
  No changelog provided
* Thu Mar 23 2017 rjschwei@suse.com
- Convert to singlespec build
- Update to version 1.3
* Tue Nov 15 2016 dmueller@suse.com
- update to 1.2
* Mon Feb 15 2016 dmueller@suse.com
- update to 0.6:
  * Changed AttributeError flow control to getattr-with-default-argument
  * Added support for pre-Vista Windows versions using GetTickCount
* Fri Aug 21 2015 tbechtold@suse.com
- update to 0.3:
  * Bump version to 0.3
  * Add support for cygwin
  * Set CLOCK_MONOTONIC for Solaris
* Mon Jun 22 2015 dmueller@suse.com
- Initial package (0.2)
